package de.ozgcloud.document.bescheid;

import java.util.Objects;

import de.ozgcloud.common.datatype.StringBasedValue;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
public class UserId extends StringBasedValue {

	UserId(String userId) {
		super(userId);
	}

	public static UserId from(String userId) {
		if (Objects.nonNull(userId)) {
			return new UserId(userId);
		}
		return null;
	}
}
