package de.ozgcloud.document.bescheid.vorgang;

import static de.ozgcloud.document.bescheid.vorgang.VorgangTestFactory.*;

import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangWithEingangResponse;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

class GrpcVorgangWithEingangTestFactory {

	static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(ID.toString())
				.setVersion(VERSION)
				.setEingang(GrpcEingangTestFactory.create());
	}

	static GrpcFindVorgangWithEingangResponse createResponse() {
		return GrpcFindVorgangWithEingangResponse.newBuilder()
				.setVorgangWithEingang(create())
				.build();
	}

}
